//! Assignment of a discount profile to a business account.

pub use crate::models::_entities::account_discount_profiles::{ActiveModel, Column, Entity, Model};
use sea_orm::entity::prelude::*;

pub type AccountDiscountProfiles = Entity;

#[async_trait::async_trait]
impl ActiveModelBehavior for ActiveModel {
    async fn before_save<C>(self, _db: &C, _insert: bool) -> std::result::Result<Self, DbErr>
    where
        C: ConnectionTrait,
    {
        Ok(self)
    }
}
